<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:binding="http://schemas.android.com/apk/res-auto">

    <data>

        <import type="me.tatarka.bindingcollectionadapter2.BindingRecyclerViewAdapter" />

        <import type="me.goldze.mvvmhabit.binding.viewadapter.recyclerview.LayoutManagers" />


        <variable
            name="viewModel"
            type="com.phlx.anchorcollect.ui.info.CattleVM" />

        <variable
            name="adapter"
            type="BindingRecyclerViewAdapter" />
    </data>


    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:background="@color/color_bg">

        <include
            android:id="@+id/include"
            layout="@layout/layout_back_bar"
            binding:backBarVM="@{viewModel.backBarVM}" />

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/color_bg"
            android:orientation="horizontal"
            android:padding="10dp">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@drawable/bg_radius_white_5"
                android:orientation="vertical"
                android:padding="@dimen/cattle_linearlayout_padding">

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawableLeft="@mipmap/cattle_color"
                    android:drawablePadding="5dp"
                    android:text="基础信息"
                    android:textColor="@color/colorSecondary"
                    android:textSize="@dimen/sp_12" />

                <androidx.recyclerview.widget.RecyclerView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="@dimen/cattle_margin_top"
                    binding:adapter="@{adapter}"
                    binding:itemBinding="@{viewModel.itemBinding}"
                    binding:items="@{viewModel.observablePedigreeList}"
                    binding:layoutManager="@{LayoutManagers.linear()}" />
            </androidx.appcompat.widget.LinearLayoutCompat>


            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/cl_title"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/cattle_margin_left"
                android:layout_weight="1"
                android:background="@drawable/bg_radius_white_5"
                android:orientation="vertical"
                android:padding="@dimen/cattle_linearlayout_padding">

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawableLeft="@mipmap/cattle_color"
                    android:drawablePadding="5dp"
                    android:text="体征测定"
                    android:textColor="@color/colorSecondary"
                    android:textSize="@dimen/sp_12" />

                <androidx.recyclerview.widget.RecyclerView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="@dimen/cattle_margin_top"
                    binding:adapter="@{adapter}"
                    binding:itemBinding="@{viewModel.itemBinding}"
                    binding:items="@{viewModel.observableSignsList}"
                    binding:layoutManager="@{LayoutManagers.linear()}" />
            </androidx.appcompat.widget.LinearLayoutCompat>


            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/cattle_margin_left"
                android:layout_weight="1"
                android:background="@drawable/bg_radius_white_5"
                android:orientation="vertical"
                android:padding="@dimen/cattle_linearlayout_padding">

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawableLeft="@mipmap/cattle_color"
                    android:drawablePadding="5dp"
                    android:text="健康管理"
                    android:textColor="@color/colorSecondary"
                    android:textSize="@dimen/sp_12" />

                <androidx.recyclerview.widget.RecyclerView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="@dimen/cattle_margin_top"
                    binding:adapter="@{adapter}"
                    binding:itemBinding="@{viewModel.itemBinding}"
                    binding:items="@{viewModel.observableHealthyList}"
                    binding:layoutManager="@{LayoutManagers.linear()}" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="@dimen/cattle_margin_left"
                android:layout_weight="1"
                android:background="@drawable/bg_radius_white_5"
                android:orientation="vertical"
                android:padding="@dimen/cattle_linearlayout_padding">

                <androidx.appcompat.widget.AppCompatTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawableLeft="@mipmap/cattle_color"
                    android:drawablePadding="5dp"
                    android:text="免疫管理"
                    android:textColor="@color/colorSecondary"
                    android:textSize="@dimen/sp_12" />

                <androidx.recyclerview.widget.RecyclerView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="@dimen/cattle_margin_top"
                    binding:adapter="@{adapter}"
                    binding:itemBinding="@{viewModel.itemBinding}"
                    binding:items="@{viewModel.observableImmunityList}"
                    binding:layoutManager="@{LayoutManagers.linear()}" />
            </androidx.appcompat.widget.LinearLayoutCompat>
        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.appcompat.widget.LinearLayoutCompat>
</layout>

